-- Europisches Datumsformat setzen ...
set dateformat dmy
go

-- ... dann gibt es hier Unterschiede bei der Zuordnung des ANSI string formats
declare @dt datetime = '2008-12-05'
declare @dt2 datetime2 = '2008-12-05'
select MONTH(@dt) as [Month-Datetime], DAY(@dt) as [Day-Datetime]
select MONTH(@dt2) as [Month-Datetime2], DAY(@dt2) as [Day-Datetime2]
go

-- Integer Addition
declare @dt datetime = '2008-12-05'
declare @dt2 datetime2(7) = '2008-12-05'
select @dt + 1   -- funktioniert hier ...
select @dt2 + 1  -- ... aber hier nicht
go

-- Immer identisch
declare @dt datetime = GETDATE();
declare @dt2 datetime2(7) = GETDATE();
select @dt as [GetDate-DateTime], @dt2 as [GetDate-DateTime2]
go

-- Normalerweise unterschiedlich
declare @dt datetime = SYSDATETIME();
declare @dt2 datetime2(7) = SYSDATETIME();
select @dt as [Sysdatetime-DateTime], @dt2 as [Sysdatetime-DateTime2]
go